Watch keynotes and sessions from MongoDB.live, our virtual developer conference.

No persistent volumes available for this claim

Hi there,

I am trying to install Mongo Kubernetes Operator and in turn Ops Manager in my Rancher cluster using instructions here - https://docs.mongodb.com/kubernetes-operator/stable/tutorial/deploy-om-container/

I am currently facing a issue after Step 5. Basically my kubernetes Rancher instance is complaining that

“error while running “VolumeBinding” filter plugin for pod “ops-manager-db-0”: pod has unbound immediate PersistentVolumeClaims”

For reference please find below the contents of the ops-manager.yaml

apiVersion: mongodb.com/v1
kind: MongoDBOpsManager
metadata:
  name: ops-manager
spec:
  # the number of Ops Manager instances to run. Set to value bigger
  # than 1 to get high availability and upgrades without downtime
  replicas: 1

  # the version of Ops Manager distro to use
  version: 4.2.12

  # the name of the secret containing admin user credentials.
  # Either remove the secret or change the password using Ops Manager UI after the Ops Manager
  # resource is created!
  adminCredentials: ops-manager-admin-secret

  
  statefulSet:
    spec:
      # the Persistent Volume Claim will be created for each Ops Manager Pod
      volumeClaimTemplates:
        - metadata:
            name: mongodb-versions
          spec:
            accessModes: [ "ReadWriteOnce" ]
            resources:
              requests:
                storage: 20G
      template:
        spec:
          containers:
            - name: mongodb-ops-manager
              volumeMounts:
                - name: mongodb-versions
                  # this is the directory in each Pod where all MongoDB
                  # archives must be put
                  mountPath: /var/lib/docker/ap-mongodb-om

  # the application database backing Ops Manager. Replica Set is the only supported type
  # Application database has the SCRAM-SHA authentication mode always enabled
  applicationDatabase:
    members: 3
    # optional. Configures the version of MongoDB used as an application database.
    # The bundled MongoDB binary will be used if omitted and no download from the Internet will happen
    version: 4.0.18-ent
    persistent: true
    podSpec:
      cpu: '0.50'
      memory: 350M
      persistence:
        single:
          storage: 1G

Any inputs would be appreciated. I see the same issue in my local Rancher cluster too.